variable "service_name" {
  type        = string
  description = "Name of the service"
  default     = "storage"
}

variable "server_dns" {
  type        = string
  description = "Domain for the server"
}

variable "k8s_config_path" {
  description = "Path to k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "namespace" {
  type = string
}

variable "ingress" {
  description = "Configuration for the ingress"
  type = any
  default     = null
}

variable "aws" {
  description = "Configuration for AWS"
  type = object({
    access_key_id     = string
    secret_access_key = string
    kms_key_id        = string
    region            = string
  })
}
